Bug 1045922 - Known bug with the anonymous FTP upload directory, with a workaround
Summary: Known bug with the anonymous FTP upload directory, with a workaround
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: proftpd
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Paul Howarth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-22 22:53 UTC by Sam Varshavchik
Modified: 2015-02-25 13:24 UTC (History)
2 users (show)

Fixed In Version: proftpd-1.3.4e-1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-25 13:24:40 UTC
Type: Bug


Attachments (Terms of Use)
An ugly, but workable patch. (737 bytes, text/plain)
2013-12-22 22:53 UTC, Sam Varshavchik
no flags Details

Description Sam Varshavchik 2013-12-22 22:53:17 UTC
Created attachment 840499 [details]
An ugly, but workable patch.

Description of problem:

Uploading to the anonymous FTP's uploads directory is broken, using Fedora's default configuration. It's a known bug that's been reported upstream; there is a trivial workaround for the meantime.

Version-Release number of selected component (if applicable):

proftpd-1.3.4d-4.fc20.x86_64

How reproducible:

Always

Steps to Reproduce:
1. Add -DANONYMOUS_FTP to /etc/sysconfig/proftpd, where indicated.

2. Start proftpd
3. Try to upload something into the uploads directory that the rpm package sets up, by default.

Actual results:

$ ftp localhost
Trying ::1...
Connected to localhost (::1).
220 FTP Server ready.
Name (localhost:mrsam): anonymous
331 Anonymous login ok, send your complete email address as your password
Password:
230-
                *** Welcome to this anonymous ftp server! ***
 
     You are user 1 out of a maximum of 10 authorized anonymous logins.
     The current time here is Sun Dec 22 17:39:53 2013.
     If you experience any problems here, contact : root@localhost
 
 
230 Anonymous login ok, restrictions apply.
Remote system type is UNIX.
Using binary mode to transfer files.
ftp> cd uploads
250 CWD command successful
ftp> put dummyfile.txt
local: dummyfile.txt remote: dummyfile.txt
229 Entering Extended Passive Mode (|||31213|)
550 dummyfile.txt: Operation not permitted
ftp> 221 Goodbye.

Expected results:

The file should be uploaded into the uploads directory.

Additional info:

It's a bug in the interaction between mod_vroot, which is enabled in the default proftpd.conf that's installed by the Fedora package, and the anonymous FTP configuration.

Until this is fixed upstream, the following patch will produce a workable uploads directory.

Comment 1 Paul Howarth 2015-02-05 17:59:21 UTC
Not sure there's ever going to be an upstream fix for this.

I've included the patch in proftpd-1.3.5-5.fc22 and will include it in any further updates for older releases if there are any, but I'm not convinced it's worth doing updates just for this.

Comment 2 Fedora Update System 2015-02-10 18:39:50 UTC
proftpd-1.3.5-4.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/proftpd-1.3.5-4.fc21

Comment 3 Fedora Update System 2015-02-16 17:52:44 UTC
proftpd-1.3.4e-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/proftpd-1.3.4e-1.fc20

Comment 4 Fedora Update System 2015-02-17 08:01:51 UTC
Package proftpd-1.3.4e-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing proftpd-1.3.4e-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-2120/proftpd-1.3.4e-1.fc20
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2015-02-23 08:04:07 UTC
proftpd-1.3.5-4.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2015-02-25 13:24:40 UTC
proftpd-1.3.4e-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.